--EVERY FRAME TRIGGER
function()
	local buffs = {"Greater Blessing of Kings", "Greater Blessing of Wisdom"} --Define buffs to look for
	for k,v in ipairs(buffs) do --Go through array looking for each buff
		if UnitBuff("player", v) then --If it finds the buff then
			aura_env.icon = select(3, UnitBuff("player", v)) --Gets the icon and stores it in a protected variable
			return true --Returns true to show aura
		end
	end
end

--ICON INFO
function()
	return aura_env.icon --Returns icon stored previously
end